https://sourceforge.net/tracker/?func=detail&aid=2892273&group_id=290&atid=300290

Depending on configure arguments libmp3lame may be built only as a
shared library. But lame frntends link command using this library
has -static.

Such clash may cause ugly libtool behavior.

In context of lame, linking should probably respect configure flags
and link frontend dynamically if shared linking is enabled.

As a consequence of bug in libtool, this combination
with --disable-static may create incorrect binary. For more see:
http://lists.gnu.org/archive/html/bug-libtool/2009-11/msg00004.html

Signed-off-by: Stanislav Brabec <utx@penguin.cz>

Index: lame-398-2/frontend/Makefile.am
===================================================================
--- lame-398-2.orig/frontend/Makefile.am
+++ lame-398-2/frontend/Makefile.am
@@ -52,7 +52,7 @@ mp3x_SOURCES = mp3x.c gtkanal.c gpkplott
 endif
 
 CFLAGS = @CFLAGS@ @GTK_CFLAGS@ @FRONTEND_CFLAGS@ @SNDFILE_CFLAGS@
-LDFLAGS = @LDFLAGS@ @FRONTEND_LDFLAGS@ @SNDFILE_LIBS@ -static
+LDFLAGS = @LDFLAGS@ @FRONTEND_LDFLAGS@ @SNDFILE_LIBS@
 
 INCLUDES = -I$(top_srcdir)/libmp3lame -I$(top_srcdir)/include -I$(top_builddir)
 
Index: lame-398-2/frontend/Makefile.in
===================================================================
--- lame-398-2.orig/frontend/Makefile.in
+++ lame-398-2/frontend/Makefile.in
@@ -152,7 +152,7 @@ LDADD = @LDADD@ \
 	$(top_builddir)/libmp3lame/libmp3lame.la \
 	@FRONTEND_LDADD@
 
-LDFLAGS = @LDFLAGS@ @FRONTEND_LDFLAGS@ @SNDFILE_LIBS@ -static
+LDFLAGS = @LDFLAGS@ @FRONTEND_LDFLAGS@ @SNDFILE_LIBS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
